summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitlab-ci.yml1
-rwxr-xr-xtools/ci/scripts/runtest.sh2
2 files changed, 2 insertions, 1 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index cb6bedfdc..d974dfe96 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -10,6 +10,7 @@ before_script:
- ":; uname -a"
- ":; cat /etc/os-release"
- ":; pwd"
+ - ":; cat /proc/sys/kernel/core_pattern"
- ":; mkdir logs || true"
- ":; ${UPDATEREPOS}"
- ":; tools/ci/scripts/dockerretry.sh ${PMUPDATE} >logs/apt.log"
diff --git a/tools/ci/scripts/runtest.sh b/tools/ci/scripts/runtest.sh
index 7bcb2b518..85286d07e 100755
--- a/tools/ci/scripts/runtest.sh
+++ b/tools/ci/scripts/runtest.sh
@@ -9,7 +9,7 @@ function check_is_run {
cp ./src/manaplus ./logs/
cp -r core* ./logs/
sleep 10s
- ls
+ systemd-coredumpctl --output=cored ./src/manaplus || true
COREFILE=$(find . -maxdepth 1 -name "core*" | head -n 1)
if [[ -f "$COREFILE" ]]; then
gdb -c "$COREFILE" ./src/manaplus -ex "thread apply all bt" -ex "set pagination 0" -batch